import { expect, tap } from '@pushrocks/tapbundle';
import * as smartpuppeteer from '../ts/index.js';

tap.test('first test', async (tools) => {
  const headlessBrowser = await smartpuppeteer.getEnvAwareBrowserInstance({
    forceNoSandbox: true,
  });
  const page = await headlessBrowser.newPage();
  await headlessBrowser.close();
});

tap.test('should get and stop an Incognito browser', async () => {
  const incognitoInstance = new smartpuppeteer.IncognitoBrowser();
  await incognitoInstance.start();
  const page = await incognitoInstance.browser.newPage();
  await incognitoInstance.stop();
});

tap.start();
